article#app {
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
}

div#way {
    width: 100%;
    height: calc(100% - 100px);
    position: fixed;
    top: 10px;
    left: 0;
}

.moon {
    position: absolute;
    height: 80px;
    width: 80px;
    border-radius: 80px;
    top: 5vh;
    left: 50vw;
    background-color: #F1EFA5;
    box-shadow: 0px 0px 180px 2px #FFFFE7;
    margin-left: -40px;
}

* {
    margin: 0;
    padding: 0;
}

.container {
    background: #1D2F41;
    width: 100%;
    height: 100%;
    position: absolute;
    overflow: hidden;
    animation: body 33.5s infinite linear;
    animation-delay: 15s;
}


/*----------------------------------
	Cloud
----------------------------------*/
.clouds {
    top: 0;
    position: absolute;
    left: 0;
    bottom: 0;
    right: 0;
    transform: scale(0.75);
}

.cloud,
.cloud:before,
.cloud:after {
    content: "";
    background: #D2EFFF;
    display: block;
    position: absolute;
    left: 25%;
    top: 15%;
    border-radius: 100%;
    width: 170px;
    height: 60px;
}

.cloud:before {
    width: 125px;
    height: 65px;
    top: -22px;
    border-radius: 50%;
    left: 24px;
}

.cloud:after {
    width: 58px;
    height: 48px;
    top: -35px;
    left: 57px;
}

.cloud:nth-child(1) {
    -webkit-animation: cloud 18s linear infinite;
    -o-animation: cloud 18s linear infinite;
    animation: cloud 18s linear infinite;
}

.cloud:nth-child(2) {
    left: 50%;
    top: 40%;

    /* transform */
    -webkit-transform: scale(1.8);
    -ms-transform: scale(1.8);
    -o-transform: scale(1.8);
    transform: scale(1.8);

    /* animation */
    -webkit-animation: cloud_b 26s linear infinite;
    -o-animation: cloud_b 26s linear infinite;
    animation: cloud_b 26s linear infinite;
}

.cloud:nth-child(3) {
    left: 62%;
    top: 25%;

    /* transform */
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    -o-transform: scale(1.3);
    transform: scale(1.3);

    /* animation */
    -webkit-animation: cloud_a 22s linear infinite;
    -o-animation: cloud_a 22s linear infinite;
    animation: cloud_a 22s linear infinite;
}

.cloud:nth-child(4) {
    left: 25%;
    top: 40%;

    /* transform */
    -webkit-transform: scale(1.5);
    -ms-transform: scale(1.5);
    -o-transform: scale(1.5);
    transform: scale(1.5);

    /* animation */
    -webkit-animation: cloud_d 24s linear infinite;
    -o-animation: cloud_d 24s linear infinite;
    animation: cloud_d 24s linear infinite;
}

/*----------------------------------
	Ground
----------------------------------*/
.ground {
    position: absolute;
    width: 60%;
    height: 100px;
    border-radius: 100%;
    background: #5B916E;
    left: 20%;
    bottom: -60px;
    z-index: 1;
}

/*----------------------------------
	Tree
----------------------------------*/
.tree {
    width: 10px;
    height: 50px;
    background: #C0B088;
    z-index: 1;
    display: block;
    position: absolute;
    bottom: 74px;
    left: 62%;
    -webkit-transform: rotate(6deg);
    -ms-transform: rotate(6deg);
    -o-transform: rotate(6deg);
    transform: rotate(6deg);
}

.leaves,
.leaves:before,
.leaves:after {
    content: "";
    background: #349638;
    border-radius: 100%;
    width: 70px;
    top: -20px;
    height: 30px;
    position: absolute;
    left: -30px;
    z-index: 1;
}

.leaves:before {
    width: 53px;
    top: -9px;
    left: 9px;
}

.leaves:after {
    width: 34px;
    top: -14px;
    left: 19px;
}

.tree:nth-child(2) {
    bottom: 60px;
    left: 80%;
    -webkit-transform: rotate(12deg) scale(0.7);
    -ms-transform: rotate(12deg) scale(0.7);
    -o-transform: rotate(12deg) scale(0.7);
    transform: rotate(12deg) scale(0.7);
}

.tree:nth-child(3) {
    bottom: 80px;
    left: 50%;
    -webkit-transform: rotate(-2deg) scale(0.5);
    -ms-transform: rotate(-2deg) scale(0.5);
    -o-transform: rotate(-2deg) scale(0.5);
    transform: rotate(-2deg) scale(0.5);
}

.tree:nth-child(4) {
    bottom: 78px;
    left: 40%;
    -webkit-transform: rotate(7deg) scale(0.6);
    -ms-transform: rotate(7deg) scale(0.6);
    -o-transform: rotate(7deg) scale(0.6);
    transform: rotate(7deg) scale(0.6);
}

.tree:nth-child(5) {
    bottom: 75px;
    left: 26%;
    -webkit-transform: rotate(-12deg) scale(0.7);
    -ms-transform: rotate(-12deg) scale(0.7);
    -o-transform: rotate(-12deg) scale(0.7);
    transform: rotate(-12deg) scale(0.7);
}


/*----------------------------------
	Airplain
----------------------------------*/
HTML {
    /*using system font-stack*/
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    font-size: 115%;
    /*~18px*/
    font-size: calc(16px + (30 - 16) * (100vw - 300px) / (1300 - 300));
    line-height: 1.5;
    box-sizing: border-box;
    /*   zoom: 5; */
}

BODY {
    margin: 0;
    color: #3a3d40;
    background-color: rgb(250, 250, 250);
}

*,
*::before,
*::after {
    box-sizing: inherit;
    color: inherit;
}

UL {
    list-style: none;
    margin: 0;
    padding: 0;
}


/*Actual Style*/

/*=================
        C-Canvas
  ===================*/
.c-canvas {
    position: relative;
    width: 400px;
    height: 200px;
    margin: 3rem auto;
    box-shadow: 0 2px 10px 0px rgba(0, 0, 0, .2);
    /*   border: 1px solid red; */
}

/*=================
        Plane
  ===================*/
.c-plane {
    position: absolute;
    z-index: 3;
}

/*=================
      Plane Body
  ===================*/
.c-plane__body {
    position: absolute;
    left: 130px;
    top: 65px;
    width: 140px;
    height: 65px;
    background: rgb(187, 238, 255);
    background-image: linear-gradient(rgb(187, 238, 255) 80%, rgb(152, 224, 254) 0);
}

/*=================
      Portholes
  ===================*/
.c-portholes {}


.c-plane__portholes {
    position: absolute;
    left: 50px;
    display: flex;
    align-items: flex-end;
    width: 70px;
    height: 25px;
    padding-bottom: 0.05rem;
    /*   border: 1px solid; */
}

/*=================
       Porthole
  ===================*/
.c-plane__porthole {
    width: 10px;
    height: 10px;
    margin-right: 0.19rem;
    border-radius: 50%;
    background: rgb(0, 69, 129, 0.85);
}

.c-plane__porthole:last-child {
    margin-left: auto;
}

/*=================
    Plane Main Wing
  ===================*/
.c-plane-main-wing {
    position: absolute;
    bottom: 0;
    left: -2%;
    width: 70%;
    height: 14px;
    border-radius: 0 15% 15% 5% / 90%;
    background: rgb(18, 159, 221);
    color: rgb(18, 159, 221);
    z-index: 1;
}

.c-plane-main-wing::before,
.c-plane-main-wing::after {
    content: "";
    position: absolute;
}

.c-plane-main-wing::before {
    top: -230%;
    width: 15px;
    height: 45px;
    border-radius: 50% 50% 0 8% / 22%;
    transform: translateX(-79%) rotate(-30deg);
    background: inherit;
}

/*triangle*/
.c-plane-main-wing::after {
    bottom: 99%;
    left: -6%;
    border: 27px solid currentColor;
    border-left-color: transparent;
    border-top-color: transparent;
    border-left-width: 0px;
    border-right-color: transparent;
}

/*=================
     Plane Forebody
  ===================*/
.c-plane__forebody {
    position: absolute;
    left: 100%;
    display: flex;
    flex-wrap: wrap;
    width: 115px;
    height: 100%;
    /*   border: 1px solid; */
}

/*=================
     Plane Cockpit
  ===================*/
.c-plane__cockpit {
    position: absolute;
    display: flex;
    align-items: flex-end;
    width: 40px;
    height: 25px;
    border-radius: 0 20% 0 0 / 0 50% 0 0;
    transform: translateX(-12%) skewX(20deg);
    overflow: hidden;
    background-color: rgb(187, 238, 255);
}

/*=================
  Plane Cockpit Glass
  ===================*/
.c-plane__cockpit-glass {
    width: 100%;
    height: 50%;
    border-radius: 30% 0 0 30% / 100% 0 0 100%;
    transform: translateX(5%) skewX(-20deg);
    background: rgb(0, 69, 129, 0.85);
}

/*=================
      Plane Nose
  ===================*/
.c-plane__nose {
    align-self: flex-end;
    width: 100%;
    height: calc(100% - 25px);
    /*   border-radius: 0 40% 90% 0 / 0 55% 40% 0; */
    /*   background: rgb(187, 238, 255);
    background-image: linear-gradient(rgb(187, 238, 255) 67.4%, rgb(152, 224, 254) 0); */
    border-radius: 0% 0% 90% 0% / 0% 55% 40% 0%;
    background:
        /*nose rounded tip*/
        radial-gradient(200% 200% at -55% 79%, rgb(187, 238, 255) 50%, rgba(187, 238, 255, 0) 51%) 110% 55% / 17% 27.5%,
        /*nose*/
        linear-gradient(rgba(187, 238, 255, 0) 67.4%, rgb(152, 224, 254) 0) 0% 0% / 100% 100%,
        linear-gradient(18deg, rgb(187, 238, 255) 73%, rgba(187, 238, 255, 0) 0) 85% 0% / 50% 100%,
        linear-gradient(rgb(187, 238, 255) 73%, rgba(187, 238, 255, 0) 0) 0% 0% / 50% 100%;
    background-repeat: no-repeat;
}

/*=================
      Plane Stern
  ===================*/
.c-plane__stern {
    position: absolute;
    left: -46%;
    width: 85px;
    height: 52px;
    background-color: inherit;
    border-radius: 0 0 0 80%;
    /*   border: 1px solid green; */
}

/*=================
   Plane Stern Wing
  ===================*/
.c-plane__stern-wing {
    position: absolute;
    left: -30%;
    bottom: -40%;
    width: 55px;
    height: 12px;
    border-radius: 20% / 90%;
    background: rgb(18, 159, 221);
}

/*=================
      Plane Tail
  ===================*/
.c-plane__tail {
    position: absolute;
    top: -115%;
    width: 100%;
    height: 60px;
    color: rgb(18, 159, 221, 1);
}

.c-plane__tail-top {
    width: 40px;
    height: 45px;
    background: currentcolor;
    transform: translateX(-26%) skewX(25deg);
    border-radius: 4% 15% 0 0;
}


.c-plane__tail-bottom {
    position: relative;
    width: 67%;
    height: 15px;
    background: currentcolor;
    border-radius: 0 30% 0% 0 / 0 95% 0 0;
    z-index: -1;
}

/*triangle*/
.c-plane__tail-bottom::before {
    content: "";
    position: absolute;
    top: -115%;
    right: -11%;
    border: 16px solid currentColor;
    border-left-color: transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-left-width: 0px;
}

/*=================
     Plane Turbine
  ===================*/
.c-plane-turbine {
    position: absolute;
    left: -17%;
    top: 31%;
    width: 75px;
    height: 30px;
    border-radius: 70% 50% 50% 70% / 100% 100% 100% 100%;
    background: rgb(189, 238, 255);
    background-image: linear-gradient(to right, transparent 70%, rgba(89, 184, 236, 0.6) 0), linear-gradient(rgb(189, 238, 255) 49%, rgb(148, 228, 249) 52%);
}



div.window,
div.window:before,
div.window:after {
    content: "";
    top: 6px;
    left: 48px;
    width: 4px;
    height: 4px;
    border-radius: 30%;
    background: #9AD0F5;
    border: 1px solid #5093D1;
    position: absolute;
}

div.window:before {
    left: -12px;
    top: -1px;
}

div.window:after {
    left: 10px;
    top: -1px;
}

div.window:nth-child(1) {
    left: 81px
}

div.window:nth-child(2) {
    left: 115px
}

div.window:nth-child(2):after {
    border-top-right-radius: 8px;
    width: 6px;
}

@-webkit-keyframes cloud {
    0% {
        left: 15%;
    }

    50% {
        left: 63%;
    }

    100% {
        left: 15%;
    }
}

@-webkit-keyframes cloud_a {
    0% {
        left: 62%;
    }

    50% {
        left: 90%;
    }

    100% {
        left: 62%;
    }
}

@-webkit-keyframes cloud_b {
    0% {
        left: 50%;
    }

    50% {
        left: 23%;
    }

    100% {
        left: 50%;
    }
}

@-webkit-keyframes cloud_c {
    0% {
        left: 37%;
    }

    50% {
        left: 47%;
    }

    100% {
        left: 37%;
    }
}

@-webkit-keyframes cloud_d {
    0% {
        left: 25%;
    }

    50% {
        left: 65%;
    }

    100% {
        left: 25%;
    }
}